# Condition_T.h File Reference

`#include "ace/OS_NS_Thread.h"`
`#include "ace/Lock.h"`
`#include "ace/Condition_T.inl"`
`#include "ace/Condition_T.cpp"`

Include dependency graph for Condition_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Condition< MUTEX >
| ACE_Condition variable wrapper, which allows threads to block until shared data changes state. More...
class | ACE_Thread_Condition< MUTEX >
| ACE_Condition variable wrapper that works within processes. More...

## Detailed Description

Id
  Condition_T.h,v 4.3 2005/10/28 16:14:51 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>